Post Message
POST
/api/chat/threads/{thread_uuid}/messages
const url = 'https://example.com/api/chat/threads/example/messages';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/chat/threads/example/messages \ --header 'Content-Type: application/json' \ --data '{}'Post a message to a thread.
Applies rate limiting (15 msgs/30s), input validation, and deduplication.
Args: thread_uuid: Thread UUID payload: {body_text: str, dedupe_key?: str}
Returns: Created message object
Raises: 429: Rate limit exceeded (includes Retry-After header) 400: Invalid message content 403: Unauthorized access 404: Thread not found
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”thread_uuid
required
Thread Uuid
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Payload
object
key
additional properties
any
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}